grad.hpp File Reference
`#include <stan/math/rev/core/chainable_alloc.hpp>`
`#include <stan/math/rev/core/chainablestack.hpp>`
`#include <stan/math/rev/core/empty_nested.hpp>`
`#include <stan/math/rev/core/nested_size.hpp>`
`#include <stan/math/rev/core/vari.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

static void | stan::math::grad (vari *vi)
| Compute the gradient for all variables starting from the specified root variable implementation. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.